Package healpix.essentials

# Class Fxyf

java.lang.Object
healpix.essentials.HealpixTables
healpix.essentials.Fxyf

All Implemented Interfaces:
  `Serializable`

public final class Fxyf extends HealpixTables
Class describing a location on the sphere

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`face`
index of the HEALPix basis pixel, range [0;11]
`double`
`fx`
x-coordinate within the basis pixel, range [0.0;1.0]
`double`
`fy`
y-coordinate within the basis pixel, range [0.0;1.0]

### Fields inherited from class healpix.essentials.HealpixTables

`ctab, facearray, jpll, jrll, swap_cycle, swaparray, utab, xoffset, yoffset`

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`Fxyf(double x, double y, int f)`
`protected`
`Fxyf(healpix.essentials.Hploc loc)`
``
`Fxyf(Vec3 v)`

## Method Summary

Modifier and Type
Method
Description
`protected healpix.essentials.Hploc`
`toHploc()`
`Vec3`
`toVec3()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### fx

public double fx
x-coordinate within the basis pixel, range [0.0;1.0]

### fy

public double fy
y-coordinate within the basis pixel, range [0.0;1.0]

### face

public int face
index of the HEALPix basis pixel, range [0;11]

## Constructor Details

### Fxyf

public Fxyf(double x, double y, int f)

### Fxyf

protected Fxyf(healpix.essentials.Hploc loc)

### Fxyf

public Fxyf(Vec3 v)

## Method Details

### toHploc

protected healpix.essentials.Hploc toHploc()

### toVec3

public Vec3 toVec3()